numeric File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | __cpp_lib_experimental_gcd_lcm
#define | _GLIBCXX_EXPERIMENTAL_NUMERIC

## Functions

template<typename _Mn , typename _Nn >
constexpr common_type_t< _Mn, _Nn > | std::experimental::gcd (_Mn __m, _Nn __n) noexcept
template<typename _Mn , typename _Nn >
constexpr common_type_t< _Mn, _Nn > | std::experimental::lcm (_Mn __m, _Nn __n)

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/numeric.

## Macro Definition Documentation

## __cpp_lib_experimental_gcd_lcm

#define __cpp_lib_experimental_gcd_lcm

Definition at line 51 of file experimental/numeric.

## _GLIBCXX_EXPERIMENTAL_NUMERIC

#define _GLIBCXX_EXPERIMENTAL_NUMERIC

Definition at line 34 of file experimental/numeric.

## Function Documentation

## gcd()

template<typename _Mn , typename _Nn >

constexpr common_type_t< _Mn, _Nn > std::experimental::fundamentals_v2::gcd | ( | _Mn | __m,
|  | _Nn | __n
| ) |  |

constexpr noexcept

Greatest common divisor.

Definition at line 56 of file experimental/numeric.

## lcm()

template<typename _Mn , typename _Nn >

constexpr common_type_t< _Mn, _Nn > std::experimental::fundamentals_v2::lcm | ( | _Mn | __m,
|  | _Nn | __n
| ) |  |

constexpr

Least common multiple.

Definition at line 74 of file experimental/numeric.